org.icefaces.ace.event

## Class DragDropEvent

- java.lang.Object
- - java.util.EventObject
  - - javax.faces.event.FacesEvent
    - - org.icefaces.ace.event.DragDropEvent

- All Implemented Interfaces:
    java.io.Serializable

      public class DragDropEvent
      extends javax.faces.event.FacesEvent

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class java.util.EventObject

      `source`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DragDropEvent(javax.faces.component.UIComponent component, java.lang.String dragId, java.lang.String dropId)`
    `DragDropEvent(javax.faces.component.UIComponent component, java.lang.String dragId, java.lang.String dropId, java.lang.Object data)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getData()`
    `java.lang.String` | `getDragId()`
    `java.lang.String` | `getDropId()`
    `boolean` | `isAppropriateListener(javax.faces.event.FacesListener listener)`
    `void` | `processListener(javax.faces.event.FacesListener listener)`

    - ### Methods inherited from class javax.faces.event.FacesEvent

      `getComponent, getPhaseId, queue, setPhaseId`

    - ### Methods inherited from class java.util.EventObject

      `getSource, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DragDropEvent

          public DragDropEvent(javax.faces.component.UIComponent component,
                               java.lang.String dragId,
                               java.lang.String dropId)

    - #### DragDropEvent

          public DragDropEvent(javax.faces.component.UIComponent component,
                               java.lang.String dragId,
                               java.lang.String dropId,
                               java.lang.Object data)

  - ### Method Detail

    - #### isAppropriateListener

          public boolean isAppropriateListener(javax.faces.event.FacesListener listener)

      Specified by:
        `isAppropriateListener` in class `javax.faces.event.FacesEvent`

    - #### processListener

          public void processListener(javax.faces.event.FacesListener listener)

      Specified by:
        `processListener` in class `javax.faces.event.FacesEvent`

    - #### getDragId

          public java.lang.String getDragId()

    - #### getDropId

          public java.lang.String getDropId()

    - #### getData

          public java.lang.Object getData()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.